














#ifndef FUNCSEM_H
#define FUNCSEM_H

/*-module-*****************************************************************
 *
 * Modul     : FuncSem (Funktionsmodul-Definitionen)
 *
 * Beschreib.: Diese Header-Datei dient zur Bereitstellung der
 *             Exportschnittstelle der gleichnamigen C-Datei.
 *             Sie muss in den Modulen includet werden, in denen
 *             die beschriebenen Ressourcen importiert werden sollen.
 *
 * Autor     : Johannes & Martin
 *
 * Datum     : 15.01.1996
 *
 * Aender.   :
 *
 *   geaendert am              von             Bemerkungen
 *
 *--**********************************************************************/


/*-includes-*/


/*--*/


/*-defines-*/


/*--*/


/*-import-*/

extern bool FuncSem_Hungry (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_UnderAttack (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Sound (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Mem (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_AgentHere (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_AgentAhead (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_FoodHere (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_FoodAhead (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_FriendHere (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_FriendAhead (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_NothingHere (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_NothingAhead (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Attack (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Mate (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Eat (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_MakeFriend (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Scream (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Move (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_TurnLeft (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_TurnRight (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_TurnSound (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_SetMem (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Nop (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_If (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Seq (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_And (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Or (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_Not (AgentIdType AgentID, NodePtrArrayType Args);

extern bool FuncSem_SetParameterValue (string key, string value);

PositionType GetOffspringPosition (PositionType position, bool * flag);
/*--*/

bool FuncSem_FindFreePositionAround (PositionType * Position, unsigned radius);
bool FuncSem_FindFreeRandomPosition (PositionType * Position, unsigned tries);

#endif
