#ifndef LOADER_H
#define LOADER_H

/*-module-*****************************************************************
 *
 * Modul     : Loader (Funktionsmodul-Definitionen)
 *
 * Beschreib.: Diese Header-Datei dient zur Bereitstellung der
 *             Exportschnittstelle der gleichnamigen C-Datei.
 *             Sie muss in den Modulen includet werden, in denen
 *             die beschriebenen Ressourcen importiert werden sollen.
 *
 * Autor     : <autor>
 *
 * Datum     : <datum>
 *
 * Aender.   :
 *
 *   geaendert am              von             Bemerkungen
 *
 *--**********************************************************************/


/*-includes-*/

#include "../misc/TypeDefs.h"

/*--*/


/*-defines-*/


/*--*/


/*-import-*/

bool Loader_ParseSection (FILE * stream);
bool Loader_LoadFile (const string Filename);

void Loader_SetParameterValue (const string Key, const string Value);

/*--*/


#endif
