#ifndef FIELDTYPEDEFS_H
#define FIELDTYPEDEFS_H

/*-module-*****************************************************************
 *
 * Modul     : FieldTypeDefs (TYPKOLLEKTIONSMODUL)
 *
 * Beschreib.: Stellt den Feldtyp zur verfuegung.
 *
 * Autor     : Jens Ch. Lisner
 *
 * Datum     : 29. 1. 96
 *
 * Aender.   :
 *
 *   geaendert am              von             Bemerkungen
 *
 *--**********************************************************************/


/*-includes-*/
/* #include "Debug.h"
 */
#include "../misc/TypeDefs.h"
/*--*/


/*-defines-*/

#define DEFAULT_PROBABILITY		-1.0

/*--*/


/*-typedefs-*/
typedef struct
  {
    FoodType FType;
    AgentIdType CarrionType;
    EnergyType FoodEnergy;
    float FoodProp;
    AgentIdType AgentId;
  }
FieldType;


/*--*/


#endif
