%{
#include <stdio.h>
#include <stdlib.h>

#include "AgentTypeDefs.h"

typedef FILE* FilePointer;

#ifdef YYDEBUG
  int yydebug = 1;
#endif

extern int   LOADERlineno;
extern FILE* LOADERin;

extern bool AgenSet_ParseSection (FilePointer file);
%}

%union{
   	float		typflt;
        int		typint;
        char		typstr[256];
      }

%token <typstr>		STR 
%token <typstr>		DAT	
%token <typstr>		UHR
%token <typflt>		FLT
%token <typint>		INT
%token 	AGENTS
%token  MAP
%token  END_MAP
%token  HEADER
%token  END_HEADER

%%
 
file		        :	HEADER
                                END_HEADER
                                MAP
                                END_MAP
                        ;

%%

int LOADERerror (char *s)
{
 printf ("LOADER %s, line %d\n", s, LOADERlineno);
}

void Loader_LoadFile(char *file)
{

  if (file == (char*)NULL)
    LOADERin = stdin;
  else
    LOADERin = fopen (file, "r");

  if (0 != LOADERparse())
      fprintf (stderr, "Loader_LoadFile: Fehler beim Parsen der Datei.\n");
}




