














#ifndef CONTROL_H
#define CONTROL_H

/*-module-*****************************************************************
 *
 * Modul     : Control (Funktionsmodul-Definitionen)
 *
 * Beschreib.: Diese Header-Datei dient zur Bereitstellung der
 *             Exportschnittstelle der gleichnamigen C-Datei.
 *             Sie muss in den Modulen includet werden, in denen
 *             die beschriebenen Ressourcen importiert werden sollen.
 *
 * Autor     : Oliver Dolezal
 *
 * Datum     : 07.02.96
 *
 * Aender.   :
 *
 *   geaendert am  07.02.96            von O.Dolezal            Bemerkungen
 *
 *--**********************************************************************/


/*-includes-*/


/*--*/


/*-defines-*/


/*--*/


/*-import-*/
bool Control_SetParameterValue (string Key, string Value);
	/*
	   Diese Funktion speichert globale Parameter aus dem Worldfile,
	   die hier benoetigt werden lokal, um auf diese zugreifen zu
	   koennen.
	 */
   /* 
      Diese Funktion durchsucht die Welt nach Feldern, auf denen nur
      die Klassenangabe eines Agenten steht und erzeugt eine Instanz
      dieser Agentenklasse und die  zugehoerige ID.
    */


/*--*/

extern int Global_WantVerboseOutput;
extern int Global_UsePort;

#endif
