
#include "../misc/CDefines.h"
#include "../misc/TypeDefs.h"

/* 
 * Neue Dictionary Implementierung die auf den in philia
 * vorkommenden Spezialfall hin optimiert ist.
 *
 * 20.05.96 erik                
 */


typedef int DictKeyType;
typedef void *DictType;

DictType *Dictionary_Create (void);
bool Dictionary_InsertItem (DictType * dict, void *item, DictKeyType id);
void *Dictionary_Find (const DictType * dict, DictKeyType id);
bool Dictionary_Delete (DictType * dict, DictKeyType id);
bool Dictionary_Destroy (DictType * dict);
int Dictionary_ActivePages (DictType * dict);
