
#ifndef MEMORY_H
#define MEMORY_H

#include <stdlib.h>
#include "Messages.h"

inline void *CheckMemory (void *ptr);
inline void *Allocate (size_t size);
inline void *Callocate (size_t numElems, size_t byteSize);
inline void *Reallocate (void *oldptr, size_t newsize);
inline void *Free (void *ptr);
inline void *CopyMemory (void *dest, const void *source, size_t numBytes);

#define CHECKMEM(m)	if (!m) Error("Memory allocation failure!\n")
#define FREE(pp)	(*(pp) = Free(pp))

#endif
