#ifndef TYPEDEFS_H
#define TYPEDEFS_H

/*-module-*****************************************************************
 *
 * Modul     : TypeDefs (TYPKOLLEKTIONSMODUL)
 *
 * Beschreib.:
 *
 * Autor     : <autor>
 *
 * Datum     : <datum>
 *
 * Aender.   :
 *
 *   geaendert am              von             Bemerkungen
 *	15.1.96			erik			 NodePtr und so
 *  05.02.96	Martin
 *--**********************************************************************/


/*-includes-*/

#include <stdio.h>		/* fuer FILE */

/*--*/


/*-defines-*/

#define FUNC_MAX_ARITY	3

#ifdef NeXT
extern char *NXCopyStringBuffer (const char *buffer);
#define strdup NXCopyStringBuffer
#endif


/*--*/


/*-typedefs-*/

typedef char bool;
typedef char *string;
typedef unsigned char byte;

typedef void *VoidPtrType;
#ifndef FLEX_SCANNER		/* $%&#@!! erik */
typedef FILE *file;
#endif

typedef int CountType;
typedef int CommandType;
typedef signed int EnergyType;
typedef signed int AgentIdType;
typedef signed int StrengthType;
typedef signed int OrientationType;

typedef enum
  {
    NONE = -1, CARRION = 'C', PLANT = 'P'
  }
FoodType;

typedef bool MemoryType;

typedef float FactorType;

typedef struct
  {
    int x;
    int y;
  }
PositionType;


struct node
  {
    CommandType command;
    byte argc;
    struct node *argv[0];
  };

typedef struct node NodeType;
typedef NodeType *NodePtrType;
typedef NodePtrType NodePtrArrayType[FUNC_MAX_ARITY];

typedef int NodePositionType;	/* LINKS = 0 , MITTE = 1 , RECHTS = 2 */

struct program
  {
    NodePtrType NodePtr;
    CountType Length;
  };

typedef struct program ProgramType;
typedef ProgramType *ProgramPtrType;

#endif
