#ifndef DCOUNT_H
#define DCOUNT_H
/**************************************************************
 * Zhler fr Random.                                         *
 *                                                            *
 * Benutzt zwei unsigned int Variblen zum Zhlen.             *
 *************************************************************/

#include "../misc/TypeDefs.h"

typedef struct
{
  unsigned long low;
  unsigned long high;
  bool isvalid;
}
dcount;

inline dcount DCount_Incr (dcount *c);
inline dcount DCount_Decr (dcount *c);
inline dcount DCount_Set (dcount *c, unsigned long low, unsigned long high);
inline dcount DCount_SetLow (dcount *c, unsigned long low);
inline dcount DCount_SetHigh (dcount *c, unsigned long high);
inline dcount DCount_Reset (dcount *c);
inline unsigned long DCount_GetLow (dcount c);
inline unsigned long DCount_GetHigh (dcount c);
inline bool DCount_IsNull (dcount c);
inline bool DCount_IsValid (dcount c);
inline dcount DCount_Copy (dcount *to, dcount from);

#endif
