

#ifndef RANDOM_H
#define RANDOM_H
/*****************************************************************
* Wrapper fr die rand55-Fkt. fr das failure System.            *
*                                                                *
*                                                                *
* Ein Zhler wird mitgefhrt, und ein alter Zustand lsst sich   *
* eindeutig wieder herstellen.                                   *
*                                                                *
*****************************************************************/

#include "../misc/TypeDefs.h"
#include "DCount.h"

extern double Random_DRand ();
extern unsigned long Random_LRand (long);
extern unsigned long Random_Rand ();

extern void Random_Reset ();
extern long Random_Init (long);
extern bool Random_WindUp (dcount);
/* Diese Funktion  ruft den Generator entsprechend viele male auf.
   Rckgabe: falls Random_Count vorher != 0 => FALSE, sonst TRUE
 */
extern dcount Random_Counted ();

#endif
